### Function

# Gimp Memsize deserialize

since: 2.2

#### Declaration [src]

    gboolean
    gimp_memsize_deserialize (
      const gchar* string,
      guint64* memsize
    )

#### Description [src]

Parses a string representation of a memory size as returned by gimp_memsize_serialize().

Available since: 2.2

#### Parameters

`string`

  Type: `const gchar*`

  A string as returned by `gimp_memsize_serialize()`

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`memsize`

  Type: `guint64*`

  Return location for memory size in bytes.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the `string` was successfully parsed and `memsize` has been set, `FALSE` otherwise.